# This script should be sourced, not executed.
# shellcheck disable=SC2148,SC1091,SC3010

if echo "$0" | grep -- "bash" >/dev/null; then
	if [ -f "$HOME/.bash_profile" ]; then . "$HOME/.bash_profile"; fi
fi

if uname | grep -- "MINGW64" >/dev/null 2>&1; then
	chcp.com 65001 > /dev/null
	PATH=~/.xpack-dev-tools/xpack-windows-build-tools-4.4.1-2/bin:$PATH
fi

if uname | grep -- "Darwin" >/dev/null 2>&1; then
	PATH=/opt/homebrew/opt/make/libexec/gnubin:$PATH
fi

PATH=~/.xpack-dev-tools/xpack-arm-none-eabi-gcc-12.3.1-1.2/bin:$PATH
